/**
 * Adobe Edge: symbol definitions
 */
(function($, Edge, compId){
//images folder
var im='images/';

var fonts = {};


var resources = [
];
var symbols = {
"stage": {
   version: "0.1.6",
   build: "0.10.0.134",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: true,
   content: {
         dom: [
         {
            id:'traceArea',
            type:'text',
            rect:[352,36,250,380],
            text:"trace:",
            align:"auto",
            font:['Arial, Helvetica, sans-serif',20,"rgba(0,0,0,1)","normal","none","normal"],
            transform:[[-62,-26]]
         },
         {
            id:'kimonoGirl',
            type:'rect',
            rect:[102,364,0,0],
            transform:[[-95,-316],[0,0],[0],[1,1]]
         }],
         symbolInstances: [
         {
            id:'kimonoGirl',
            symbolName:'KimonoGirl'
         }
         ]
      },
   states: {
      "Base State": {
         "${_Stage}": [
            ["style", "height", '400px'],
            ["style", "overflow", 'hidden'],
            ["color", "background-color", 'rgba(255,255,255,1)'],
            ["style", "width", '550px']
         ],
         "${_kimonoGirl}": [
            ["transform", "translateX", '-95px'],
            ["transform", "translateY", '-316px']
         ],
         "${_traceArea}": [
            ["transform", "translateX", '-62px'],
            ["style", "height", '380px'],
            ["style", "width", '250px'],
            ["transform", "translateY", '-26px'],
            ["style", "font-size", '20px']
         ],
         "body": [
            ["color", "background-color", 'rgba(0,0,0,0)']
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 0,
         autoPlay: true,
         timeline: [
            { id: "eid16", trigger: [ function executeSymbolFunction(e, data) { this._executeSymbolAction(e, data); }, ['play', '${_kimonoGirl}', [] ], ""], position: 0 }         ]
      }
   }
},
"KimonoGirl": {
   version: "0.1.6",
   build: "0.10.0.134",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: true,
   content: {
   dom: [
   {
      rect: [94,175,212,193],
      id: 'hair',
      transform: [[-68,-123]],
      type: 'image',
      fill: ['rgba(0,0,0,0)','images/hair.png']
   },
   {
      rect: [139,145,136,107],
      id: 'tail',
      transform: [[-63,-145]],
      type: 'image',
      fill: ['rgba(0,0,0,0)','images/tail.png']
   },
   {
      rect: [139,106,138,63],
      id: 'comb',
      transform: [[-69,-80]],
      type: 'image',
      fill: ['rgba(0,0,0,0)','images/comb.png']
   },
   {
      rect: [283,250,64,74],
      id: 'neck',
      transform: [[-176,-15]],
      type: 'image',
      fill: ['rgba(0,0,0,0)','images/neck.png']
   },
   {
      rect: [162,317,148,107],
      id: 'kimono',
      transform: [[-97,-61]],
      type: 'image',
      fill: ['rgba(0,0,0,0)','images/kimono.png']
   },
   {
      rect: [309,219,29,31],
      id: 'leftEar',
      transform: [[-97,-22]],
      type: 'image',
      fill: ['rgba(0,0,0,0)','images/leftEar.png']
   },
   {
      rect: [33,198,31,31],
      id: 'rightEar',
      transform: [[2]],
      type: 'image',
      fill: ['rgba(0,0,0,0)','images/rightEar.png']
   },
   {
      rect: [139,208,167,149],
      id: 'face',
      transform: [[-84,-109]],
      type: 'image',
      fill: ['rgba(0,0,0,0)','images/face.png']
   },
   {
      rect: [139,250,11,5],
      id: 'mouth',
      transform: [[-5,-18]],
      type: 'image',
      fill: ['rgba(0,0,0,0)','images/mouth.png']
   },
   {
      id: 'rightEye',
      type: 'rect',
      rect: [95,184,0,0]
   },
   {
      id: 'leftEye',
      type: 'rect',
      rect: [174,179,0,0]
   },
   {
      rect: [139,222,7,7],
      id: 'nose',
      transform: [[-3,-15]],
      type: 'image',
      fill: ['rgba(0,0,0,0)','images/nose.png']
   },
   {
      rect: [460,287,31,27],
      id: 'rightCheek',
      transform: [[-395,-71]],
      type: 'image',
      fill: ['rgba(0,0,0,0)','images/rightCheek.png']
   },
   {
      rect: [266,269,31,26],
      id: 'leftCheek',
      transform: [[-83,-52]],
      type: 'image',
      fill: ['rgba(0,0,0,0)','images/leftCheek.png']
   },
   {
      rect: [414,221,169,126],
      id: 'bangs',
      transform: [[-360,-162]],
      type: 'image',
      fill: ['rgba(0,0,0,0)','images/bangs.png']
   },
   {
      rect: [356,152,89,83],
      id: 'leftHairPin',
      transform: [[-174,-86]],
      type: 'image',
      fill: ['rgba(0,0,0,0)','images/leftHirPin.png']
   },
   {
      rect: [337,212,89,84],
      id: 'rightHairPin',
      transform: [[-331,-175]],
      type: 'image',
      fill: ['rgba(0,0,0,0)','images/rightHairPin.png']
   }],
   symbolInstances: [
   {
      id: 'rightEye',
      symbolName: 'Eye'
   },
   {
      id: 'leftEye',
      symbolName: 'Eye'
   }   ]
   },
   states: {
      "Base State": {
         "${_comb}": [
            ["transform", "translateX", '-59px'],
            ["transform", "translateY", '-80px']
         ],
         "${_rightEar}": [
            ["transform", "scaleX", '1'],
            ["transform", "translateY", '0px'],
            ["transform", "scaleY", '1'],
            ["transform", "translateX", '7px']
         ],
         "${_hair}": [
            ["transform", "translateX", '-49px'],
            ["transform", "translateY", '-123px']
         ],
         "${_kimono}": [
            ["transform", "translateX", '-97px'],
            ["transform", "translateY", '-61px']
         ],
         "${_leftEye}": [
            ["transform", "translateX", '-13px'],
            ["transform", "translateY", '0px']
         ],
         "${_leftEar}": [
            ["transform", "scaleX", '1.20689'],
            ["transform", "translateX", '-97.99px'],
            ["transform", "scaleY", '1.20689'],
            ["transform", "translateY", '-22.19px']
         ],
         "${symbolSelector}": [
            ["style", "height", '363px'],
            ["style", "width", '268.709125px']
         ],
         "${_nose}": [
            ["transform", "translateX", '-22px'],
            ["transform", "translateY", '-15px']
         ],
         "${_face}": [
            ["transform", "translateX", '-86px'],
            ["transform", "translateY", '-109px']
         ],
         "${_leftCheek}": [
            ["transform", "translateX", '-94.62px'],
            ["transform", "translateY", '-52.92px']
         ],
         "${_rightCheek}": [
            ["transform", "translateX", '-406.48px'],
            ["transform", "translateY", '-70.86px']
         ],
         "${_rightEye}": [
            ["transform", "translateX", '-38px'],
            ["transform", "translateY", '-5px']
         ],
         "${_tail}": [
            ["transform", "translateX", '-43px'],
            ["transform", "translateY", '-145px']
         ],
         "${_leftHairPin}": [
            ["transform", "scaleX", '1.09637'],
            ["transform", "translateX", '-180.71px'],
            ["transform", "scaleY", '1.09637'],
            ["transform", "translateY", '-89.99px']
         ],
         "${_mouth}": [
            ["transform", "translateX", '-20px'],
            ["transform", "translateY", '-18px']
         ],
         "${_rightHairPin}": [
            ["transform", "scaleX", '0.82142'],
            ["transform", "translateX", '-344.94px'],
            ["transform", "scaleY", '0.82142'],
            ["transform", "translateY", '-167.49px']
         ],
         "${_bangs}": [
            ["transform", "translateX", '-373px'],
            ["transform", "translateY", '-162.6px']
         ],
         "${_neck}": [
            ["transform", "translateX", '-176px'],
            ["transform", "translateY", '-15px']
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 5000,
         autoPlay: false,
         timeline: [
            { id: "eid71", tween: [ "transform", "${_leftHairPin}", "scaleX", '1', { fromValue: '1.09637'}], position: 0, duration: 2500 },
            { id: "eid39", tween: [ "transform", "${_leftHairPin}", "scaleX", '0.89156', { fromValue: '1'}], position: 2500, duration: 2500 },
            { id: "eid68", tween: [ "transform", "${_nose}", "translateX", '-3px', { fromValue: '-22px'}], position: 0, duration: 2500 },
            { id: "eid27", tween: [ "transform", "${_nose}", "translateX", '20px', { fromValue: '-3px'}], position: 2500, duration: 2500 },
            { id: "eid79", tween: [ "transform", "${_comb}", "translateX", '-69px', { fromValue: '-59px'}], position: 0, duration: 2500 },
            { id: "eid45", tween: [ "transform", "${_comb}", "translateX", '-86px', { fromValue: '-69px'}], position: 2500, duration: 2500 },
            { id: "eid60", tween: [ "transform", "${_leftEar}", "scaleX", '1', { fromValue: '1.20689'}], position: 0, duration: 2500 },
            { id: "eid246", tween: [ "transform", "${_leftEar}", "scaleX", '0.86206', { fromValue: '1'}], position: 2500, duration: 2500 },
            { id: "eid221", tween: [ "transform", "${_bangs}", "translateX", '-360px', { fromValue: '-373px'}], position: 0, duration: 2500 },
            { id: "eid36", tween: [ "transform", "${_bangs}", "translateX", '-345px', { fromValue: '-360px'}], position: 2500, duration: 2500 },
            { id: "eid55", tween: [ "transform", "${_rightEar}", "translateX", '2px', { fromValue: '7px'}], position: 0, duration: 2500 },
            { id: "eid32", tween: [ "transform", "${_rightEar}", "translateX", '0.01px', { fromValue: '2px'}], position: 2500, duration: 2500 },
            { id: "eid69", tween: [ "transform", "${_leftHairPin}", "translateX", '-174px', { fromValue: '-180.71px'}], position: 0, duration: 2500 },
            { id: "eid37", tween: [ "transform", "${_leftHairPin}", "translateX", '-166.82px', { fromValue: '-174px'}], position: 2500, duration: 2500 },
            { id: "eid67", tween: [ "transform", "${_leftCheek}", "translateX", '-83.62px', { fromValue: '-94.62px'}], position: 0, duration: 2500 },
            { id: "eid23", tween: [ "transform", "${_leftCheek}", "translateX", '-73.62px', { fromValue: '-83.62px'}], position: 2500, duration: 2500 },
            { id: "eid70", tween: [ "transform", "${_leftHairPin}", "translateY", '-86px', { fromValue: '-89.99px'}], position: 0, duration: 2500 },
            { id: "eid38", tween: [ "transform", "${_leftHairPin}", "translateY", '-81.49px', { fromValue: '-86px'}], position: 2500, duration: 2500 },
            { id: "eid76", tween: [ "transform", "${_rightHairPin}", "scaleY", '1', { fromValue: '0.82142'}], position: 0, duration: 2500 },
            { id: "eid44", tween: [ "transform", "${_rightHairPin}", "scaleY", '1.13094', { fromValue: '1'}], position: 2500, duration: 2500 },
            { id: "eid35", tween: [ "transform", "${_rightEar}", "scaleY", '1.12903', { fromValue: '1'}], position: 2500, duration: 2500 },
            { id: "eid54", tween: [ "transform", "${_face}", "translateX", '-84px', { fromValue: '-86px'}], position: 0, duration: 2500 },
            { id: "eid48", tween: [ "transform", "${_face}", "translateX", '-82px', { fromValue: '-84px'}], position: 2500, duration: 2500 },
            { id: "eid56", tween: [ "transform", "${_leftEar}", "translateX", '-97px', { fromValue: '-97.99px'}], position: 0, duration: 2500 },
            { id: "eid31", tween: [ "transform", "${_leftEar}", "translateX", '-102px', { fromValue: '-97px'}], position: 2500, duration: 2500 },
            { id: "eid63", tween: [ "transform", "${_rightEye}", "translateX", '-27px', { fromValue: '-38px'}], position: 0, duration: 2500 },
            { id: "eid28", tween: [ "transform", "${_rightEye}", "translateX", '-11px', { fromValue: '-27px'}], position: 2500, duration: 2500 },
            { id: "eid34", tween: [ "transform", "${_rightEar}", "scaleX", '1.12903', { fromValue: '1'}], position: 2500, duration: 2500 },
            { id: "eid74", tween: [ "transform", "${_rightHairPin}", "translateY", '-175px', { fromValue: '-167.49px'}], position: 0, duration: 2500 },
            { id: "eid42", tween: [ "transform", "${_rightHairPin}", "translateY", '-180.49px', { fromValue: '-175px'}], position: 2500, duration: 2500 },
            { id: "eid66", tween: [ "transform", "${_leftEye}", "translateX", '-1px', { fromValue: '-13px'}], position: 0, duration: 2500 },
            { id: "eid22", tween: [ "transform", "${_leftEye}", "translateX", '12px', { fromValue: '-1px'}], position: 2500, duration: 2500 },
            { id: "eid58", tween: [ "transform", "${_leftEar}", "translateY", '-22px', { fromValue: '-22.19px'}], position: 0, duration: 2500 },
            { id: "eid33", tween: [ "transform", "${_rightEar}", "translateY", '-1.99px', { fromValue: '0px'}], position: 2500, duration: 2500 },
            { id: "eid73", tween: [ "transform", "${_rightHairPin}", "translateX", '-331px', { fromValue: '-344.94px'}], position: 0, duration: 2500 },
            { id: "eid41", tween: [ "transform", "${_rightHairPin}", "translateX", '-330.82px', { fromValue: '-331px'}], position: 2500, duration: 2500 },
            { id: "eid64", tween: [ "transform", "${_mouth}", "translateX", '-5px', { fromValue: '-20px'}], position: 0, duration: 2500 },
            { id: "eid29", tween: [ "transform", "${_mouth}", "translateX", '12px', { fromValue: '-5px'}], position: 2500, duration: 2500 },
            { id: "eid75", tween: [ "transform", "${_rightHairPin}", "scaleX", '1', { fromValue: '0.82142'}], position: 0, duration: 2500 },
            { id: "eid43", tween: [ "transform", "${_rightHairPin}", "scaleX", '1.13094', { fromValue: '1'}], position: 2500, duration: 2500 },
            { id: "eid80", tween: [ "transform", "${_tail}", "translateX", '-63px', { fromValue: '-43px'}], position: 0, duration: 2500 },
            { id: "eid46", tween: [ "transform", "${_tail}", "translateX", '-101px', { fromValue: '-63px'}], position: 2500, duration: 2500 },
            { id: "eid72", tween: [ "transform", "${_leftHairPin}", "scaleY", '1', { fromValue: '1.09637'}], position: 0, duration: 2500 },
            { id: "eid40", tween: [ "transform", "${_leftHairPin}", "scaleY", '0.89156', { fromValue: '1'}], position: 2500, duration: 2500 },
            { id: "eid24", tween: [ "transform", "${_leftCheek}", "translateY", '-51.92px', { fromValue: '-52.92px'}], position: 2500, duration: 2500 },
            { id: "eid77", tween: [ "transform", "${_hair}", "translateX", '-61px', { fromValue: '-49px'}], position: 0, duration: 2500 },
            { id: "eid52", tween: [ "transform", "${_hair}", "translateX", '-68px', { fromValue: '-61px'}], position: 2500, duration: 2500 },
            { id: "eid62", tween: [ "transform", "${_leftEar}", "scaleY", '1', { fromValue: '1.20689'}], position: 0, duration: 2500 },
            { id: "eid90", tween: [ "transform", "${_rightCheek}", "translateY", '-70.86px', { fromValue: '-70.86px'}], position: 2500, duration: 0 },
            { id: "eid65", tween: [ "transform", "${_rightCheek}", "translateX", '-396.48px', { fromValue: '-406.48px'}], position: 0, duration: 2500 },
            { id: "eid25", tween: [ "transform", "${_rightCheek}", "translateX", '-391.48px', { fromValue: '-396.48px'}], position: 2500, duration: 2500 }         ]
      }
   }
},
"Eye": {
   version: "0.1.6",
   build: "0.10.0.134",
   baseState: "Base State",
   initialState: "Base State",
   gpuAccelerate: true,
   content: {
   dom: [
   {
      type: 'image',
      id: 'leftEye',
      rect: [305,115,35,35],
      transform: [[-305,-115]],
      fill: ['rgba(0,0,0,0)','images/rightEye01.png']
   },
   {
      transform: [[-380,-146]],
      type: 'image',
      id: 'rightEye02',
      display: 'none',
      rect: [380,146,35,35],
      fill: ['rgba(0,0,0,0)','images/rightEye02.png']
   },
   {
      transform: [[-82,-102]],
      type: 'image',
      id: 'rightEye03',
      display: 'none',
      rect: [82,102,35,35],
      fill: ['rgba(0,0,0,0)','images/rightEye03.png']
   },
   {
      transform: [[-51,-97]],
      type: 'image',
      id: 'rightEye04',
      display: 'none',
      rect: [51,97,35,35],
      fill: ['rgba(0,0,0,0)','images/rightEye04.png']
   }],
   symbolInstances: [
   ]
   },
   states: {
      "Base State": {
         "${_rightEye03}": [
            ["style", "display", 'none'],
            ["transform", "translateY", '-102px'],
            ["transform", "translateX", '-82px']
         ],
         "${symbolSelector}": [
            ["style", "height", '35px'],
            ["style", "width", '35px']
         ],
         "${_rightEye04}": [
            ["style", "display", 'none'],
            ["transform", "translateY", '-97px'],
            ["transform", "translateX", '-51px']
         ],
         "${_rightEye02}": [
            ["style", "display", 'none'],
            ["transform", "translateY", '-146px'],
            ["transform", "translateX", '-380px']
         ],
         "${_leftEye}": [
            ["style", "display", 'block'],
            ["transform", "translateY", '-115px'],
            ["transform", "translateX", '-305px']
         ]
      }
   },
   timelines: {
      "Default Timeline": {
         fromState: "Base State",
         toState: "",
         duration: 2000,
         autoPlay: true,
         timeline: [
            { id: "eid4", tween: [ "style", "${_leftEye}", "display", 'block', { fromValue: 'block'}], position: 0, duration: 0 },
            { id: "eid5", tween: [ "style", "${_leftEye}", "display", 'none', { fromValue: 'block'}], position: 1750, duration: 0 },
            { id: "eid11", tween: [ "style", "${_leftEye}", "display", 'none', { fromValue: 'none'}], position: 1900, duration: 0 },
            { id: "eid14", tween: [ "style", "${_leftEye}", "display", 'block', { fromValue: 'none'}], position: 2000, duration: 0 },
            { id: "eid2", tween: [ "style", "${_rightEye03}", "display", 'none', { fromValue: 'none'}], position: 0, duration: 0 },
            { id: "eid13", tween: [ "style", "${_rightEye03}", "display", 'block', { fromValue: 'none'}], position: 1850, duration: 0 },
            { id: "eid9", tween: [ "style", "${_rightEye03}", "display", 'none', { fromValue: 'block'}], position: 1900, duration: 0 },
            { id: "eid3", tween: [ "style", "${_rightEye04}", "display", 'none', { fromValue: 'none'}], position: 0, duration: 0 },
            { id: "eid10", tween: [ "style", "${_rightEye04}", "display", 'block', { fromValue: 'none'}], position: 1900, duration: 0 },
            { id: "eid15", tween: [ "style", "${_rightEye04}", "display", 'none', { fromValue: 'block'}], position: 2000, duration: 0 },
            { id: "eid1", tween: [ "style", "${_rightEye02}", "display", 'none', { fromValue: 'none'}], position: 0, duration: 0 },
            { id: "eid7", tween: [ "style", "${_rightEye02}", "display", 'block', { fromValue: 'none'}], position: 1750, duration: 0 },
            { id: "eid12", tween: [ "style", "${_rightEye02}", "display", 'none', { fromValue: 'block'}], position: 1850, duration: 0 },
            { id: "eid8", tween: [ "style", "${_rightEye02}", "display", 'none', { fromValue: 'none'}], position: 1900, duration: 0 }         ]
      }
   }
}
};


Edge.registerCompositionDefn(compId, symbols, fonts, resources);

/**
 * Adobe Edge DOM Ready Event Handler
 */
$(window).ready(function() {
     Edge.launchComposition(compId);
});
})(jQuery, AdobeEdge, "EDGE-13586389");
